I Cannot Add Callisto to Contoso Cookbook

Bob Tabor does an excellent job teaching material to developers.  While he does have his own business he also has done a number of series for Microsoft’s Channel 9.  Two of his series he put up that I wanted to go through are for Windows 8 App development; C#/XAML and HTML/CSS/JS.  I just cannot find the time to complete them.

Last night I sat down to start the C#/XAML one; recently at work I have been moved to a Silverlight project so becoming familiar with XAML is a good idea.  One of the first things you do is open the Contoso Cookbook solution and try to build it.  You’ll get an error about a Callisto reference.  If you try to use the package manager like he does in the video you will get an error.  While these videos are not even a year old, I know things have changed.  Below is the error message I received.

Could not install package ‘Callisto 1.4.0’. You are trying to install this package into a project that targets ‘.NETCore,Version=v4.5’, but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author.

The fix is pretty simple if you use Nuget a lot.  You use the Package Manager Console and type the command to install the version of Callisto you need.

PM> Install-Package Callisto -Version 1.2.4
Installing ‘Callisto 1.2.4’.
Successfully installed ‘Callisto 1.2.4’.
Adding ‘Callisto 1.2.4’ to ContosoCookbook.
Successfully added ‘Callisto 1.2.4’ to ContosoCookbook.

Build, and there you go.

Advertisements

About SheldonS

Web developer for over 15 years mainly with Microsoft technologies from classic ASP to .NET 4. Husband, father, and aspiring amateur photographer.

Posted on November 14, 2013, in Windows 8 and tagged . Bookmark the permalink. 12 Comments.

  1. Thank you!
    Just a beginner and wasted hours to figure out what to do.
    Regards,
    Natalie

  2. Thanks! Simple solution but hard to find if you dont know, esspecially if you are a beginner

  3. doesn’t work for me… I successfully installed the exact package (Callisto 1.2.4) but still I get the error: Could not find SDK “Callisto – Version 1.2.4”. This demo won’t run on my VS Ultimate 2013, Windows 8.1

    • update: it works as soon as I added Callisto (1.4.0) from references – manage NuGet packages – search online – install Callisto

  4. I tried your way to install Callisto and wouldn’t work, so I tried the Package manager to install it and get this error:
    ‘Callisto’ could not be installed because it is not compatible with any project in the solution. The package targets the following frameworks: .NETCore,Version=v4.5.1.

    Any ideas about this error?

    • I have not tried it yet, but did you try what worked for Marcel? “it works as soon as I added Callisto (1.4.0) from references – manage NuGet packages – search online – install Callisto”

      • Thanks for the quick reply. I finally got it installed, I updated everything on the Notifications and the Add or Remove Content. Then tried your way again using the Package Manager Console, PM> Install-Package Callisto -Version 1.2.4. It worked perfectly. Your a legend.

        Thanks

  5. Still getting error. I used package manager console & installed Callisto version 1.2.4. Then as stated above by Marcel, I tried updating to Callisto 1.4.0 but got the following error:

    Successfully installed ‘Callisto 1.4.0’.
    Removing ‘Callisto 1.3.1’ from ContosoCookbook.
    Successfully removed ‘Callisto 1.3.1’ from ContosoCookbook.
    Adding ‘Callisto 1.4.0’ to ContosoCookbook.
    Uninstalling ‘Callisto 1.4.0’.
    Successfully uninstalled ‘Callisto 1.4.0’.
    Install failed. Rolling back…
    Could not install package ‘Callisto 1.4.0’. You are trying to install this package into a project that targets ‘.NETCore,Version=v4.5’, but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author.

    • Anil,

      Since this demo project is so old it may be best to target .NET 4.0. I also do not know how well the Callisto package is maintained. It is completely possible that these will not work with the latest updates. I am not at my Windows 8 machine to test things right now, but targeting older frameworks is where I would begin.

      • Yes, there are lot of changes. Even the grid app template of Win 8.1 is different from that of Win 8. But I don’t know of any tutorial that teaches to make Windows apps. So I’m trying to modify old examples into new template.
        Also I installed Callisto 1.2.4 using package manager console & then updated it to Callisto 1.3.1. It’s working fine for now.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: